OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_ReferenceIterator Class Reference

`#include <CDM_ReferenceIterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_ReferenceIterator (const Handle(CDM_Document)&aDocument)
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_CDM_Document | Document () const
Standard_EXPORT Standard_Integer | ReferenceIdentifier () const
Standard_EXPORT Standard_Integer | DocumentVersion () const
| returns the Document Version in the reference.
## Private Attributes
CDM_ListIteratorOfListOfReferences | myIterator

## Constructor & Destructor Documentation

Standard_EXPORT CDM_ReferenceIterator::CDM_ReferenceIterator | ( | const Handle(CDM_Document)& | aDocument | ) |

## Member Function Documentation

Standard_EXPORT Handle_CDM_Document CDM_ReferenceIterator::Document | ( |  | ) | const

Standard_EXPORT Standard_Integer CDM_ReferenceIterator::DocumentVersion | ( |  | ) | const

Standard_EXPORT Standard_Boolean CDM_ReferenceIterator::More | ( |  | ) | const

Standard_EXPORT void CDM_ReferenceIterator::Next | ( |  | ) |

void CDM_ReferenceIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_ReferenceIterator::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_ReferenceIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer CDM_ReferenceIterator::ReferenceIdentifier | ( |  | ) | const

## Field Documentation

CDM_ListIteratorOfListOfReferences CDM_ReferenceIterator::myIterator`[private]`

The documentation for this class was generated from the following file:

- CDM_ReferenceIterator.hxx